<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>
        <variable name="viewModel" type="com.example.bookappwithnavview.ui.main.MainViewModel"/>
    </data>

    <androidx.drawerlayout.widget.DrawerLayout
            xmlns:app="http://schemas.android.com/apk/res-auto"

            android:fitsSystemWindows="true"
            android:id="@+id/drawerLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        <LinearLayout
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

            <androidx.appcompat.widget.Toolbar
                    android:id="@+id/toolBar"
                    android:background="?attr/colorPrimary"
                    android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar"
                    android:layout_width="match_parent"
                    android:layout_height="?attr/actionBarSize">
            </androidx.appcompat.widget.Toolbar>

            <FrameLayout
                    android:id="@+id/fragment_container"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"/>

        </LinearLayout>

        <com.google.android.material.navigation.NavigationView
                android:id="@+id/navView"
                android:background="@color/skyblue"
                android:layout_gravity="start"
                android:fitsSystemWindows="true"
                app:menu="@menu/drawer_view"
                android:layout_width="wrap_content"
                android:layout_height="match_parent">

        </com.google.android.material.navigation.NavigationView>

    </androidx.drawerlayout.widget.DrawerLayout>

</layout>